# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "text-hyphen"
  s.version = "1.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Austin Ziegler"]
  s.date = "2011-02-08"
  s.description = "Text::Hyphen will hyphenate words using modified versions of TeX hyphenation\npatterns.\n\nText::Hyphen will properly hyphenate various words according to the rules of\nthe language the word is written in. The algorithm is based on that of the TeX\ntypesetting system by Donald E. Knuth. This is based on the Perl implementation\nof TeX::Hyphen[1] and the Ruby port[2]. The language hyphenation pattern files\nare based on the sources available from CTAN[3] as of 2004.12.19 and have been\ntranslated by Austin Ziegler.\n\nThis release is 1.0.2. It is a minor bugfix for the RubyGem release of\nText::Hyphen to enable the hyphen command-line program. Text::Hyphen represents\na significant improvement over its predecessor, TeX::Hyphen."
  s.email = ["austin@rubyforge.org"]
  s.executables = ["hyphen"]
  s.extra_rdoc_files = ["COPYING.txt", "History.txt", "LICENCE.txt", "Manifest.txt", "README.txt"]
  s.files = ["bin/hyphen", "COPYING.txt", "History.txt", "LICENCE.txt", "Manifest.txt", "README.txt"]
  s.homepage = "http://rubyforge.org/projects/text-format/"
  s.rdoc_options = ["--main", "README.txt"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new("< 1.9")
  s.rubyforge_project = "text-format"
  s.rubygems_version = "1.8.24"
  s.summary = "Text::Hyphen will hyphenate words using modified versions of TeX hyphenation patterns"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rubyforge>, [">= 2.0.4"])
      s.add_development_dependency(%q<hoe-doofus>, ["~> 1.0"])
      s.add_development_dependency(%q<hoe-gemspec>, ["~> 1.0"])
      s.add_development_dependency(%q<hoe-git>, ["~> 1.0"])
      s.add_development_dependency(%q<hoe-seattlerb>, ["~> 1.0"])
      s.add_development_dependency(%q<hoe>, [">= 2.8.0"])
    else
      s.add_dependency(%q<rubyforge>, [">= 2.0.4"])
      s.add_dependency(%q<hoe-doofus>, ["~> 1.0"])
      s.add_dependency(%q<hoe-gemspec>, ["~> 1.0"])
      s.add_dependency(%q<hoe-git>, ["~> 1.0"])
      s.add_dependency(%q<hoe-seattlerb>, ["~> 1.0"])
      s.add_dependency(%q<hoe>, [">= 2.8.0"])
    end
  else
    s.add_dependency(%q<rubyforge>, [">= 2.0.4"])
    s.add_dependency(%q<hoe-doofus>, ["~> 1.0"])
    s.add_dependency(%q<hoe-gemspec>, ["~> 1.0"])
    s.add_dependency(%q<hoe-git>, ["~> 1.0"])
    s.add_dependency(%q<hoe-seattlerb>, ["~> 1.0"])
    s.add_dependency(%q<hoe>, [">= 2.8.0"])
  end
end
